Subject: Re: bug#7943: white background is color #e5e5e5 in terminal window

From: Warren Harris <[email-masked]>
Date: Sun, 13 Mar 2011 10:42:04 -0700

I believe I've figured out what was going on. It had nothing to do with the
white setting to #e5e5e5, but the fact that somehow in my .emacs file the
custom-set-faces contained the line:

 '(default ((t (:inherit nil :stipple nil :background "white" :foreground
"black" :inverse-video nil :box nil :strike-through nil :overline nil
:underline nil :slant normal :weight normal :height 115 :width normal
:foundry "unknown" :family "DejaVu Sans Mono"))))

I'm not sure how this got there, but removing the :background "white" from
it changes the window's background from dark grey to bright white again.
Text is now readable.

On Sat, Mar 12, 2011 at 8:00 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Warren Harris <[email-masked]>
> > Date: Sat, 12 Mar 2011 16:55:13 -0800
> > Cc: [email-masked], [email-masked]
> >
> > > But that's the most white color that your terminal can produce.
> > > xterm.el doesn't _tell_ the terminal what color to produce for
> > > "white", it only _documents_ (sort of) what that color is, in terms of
> > > RGB components.
> > >
> >
> > I don't think so. The terminal is perfectly "brightwhite" before emacs
> > starts. This is definitely an emacs bug.
>
> Then perhaps you or someone else could suggest how to do that in
> Emacs.
>
> > > > and there's no way I can see to set the background to brightwhite.
> > >
> > > I don't think you can, not for the background.  But I'm not an expert
> > > on xterm.
> > >
> >
> > I know that older emacs version didn't have this problem either.
>
> The code I showed exists since 2002, and it was not changed since
> written.  If you know which older Emacs version didn't behave like
> this, I'd be interested to know which one.
>
> > BTW, this is a bug when using Apple Terminal, not xterm. xterm seems
> > to work fine (whether the TERM is 'xterm' or 'xterm-color').
>
> What do you see Emacs display in xterm for the colors?  I tried that
> before I responded to you the first time, and saw the same E5E5E5
> value.
>
> > The idea was to replace "white" with the correct values, 255 255 255.
>
> I don't think it will change anything, because Emacs turns on tty
> colors by their index (a small number between 0 and 7 or 15), not by
> their RGB values.  If you succeed, please reopen the bug and tell what
> changes were needed for that.
>